
D4Science Infrastructure - Support #12901

Impossible to publish a Dataminer algorithm

Nov 19, 2018 06:36 PM - Emmanuel Blondel

Status: Closed Start date: Nov 19, 2018

Priority: Normal Due date: Nov 21, 2018

Assignee: Emmanuel Blondel % Done: 100%

Category: Application Estimated time: 0.00 hour

Infrastructure: Production   

Description

I've tried to publish an algorithm in SAI, but I get an error message with logs:

An error occurred while deploying your algorithm

Here are the error details:

Installation failed. Return code=2

Algorithm details:

User: Emmanuel Blondel

Algorithm name: GEOGRSF_BBOXUNION

Staging DataMiner Host: dataminer-proto-ghost.d4science.org

Caller VRE: /d4science.research-infrastructures.eu/gCubeApps/RPrototypingLab

Target VRE: /d4science.research-infrastructures.eu/gCubeApps/RPrototypingLab

I've tried also in the target VRE (GRSF_Admin), but I got same error (with similar logs).

Can you please advise how to fix this? I can share the SAI project if needed.

Thanks in advance

Related issues:

Related to D4Science Infrastructure - Incident #12925: geojsonio R package is... Closed Nov 21, 2018 Nov 21, 2018

History

#1 - Nov 19, 2018 06:38 PM - Andrea Dell'Amico

- Assignee changed from _InfraScience Systems Engineer to Giancarlo Panichi

#2 - Nov 20, 2018 11:45 AM - Giancarlo Panichi

- Status changed from New to Feedback

- Assignee changed from Giancarlo Panichi to Emmanuel Blondel

- Priority changed from High to Normal

- % Done changed from 0 to 100

Hi @emmanuel.blondel1@gmail.com, the problem is that you are using double quotes in the declaration of default values:

identifier = "geom1"

defaultValue="'{"type":"Polygon","coordinates":[[[-20,-50],[-20,-6],[30,-6],[30,-50],[-20,-50]]]}'"

title="A geometry in GeoJSON format" 

identifier = "geom2"

defaultValue="'{"type":"Polygon","coordinates":[[[-10,-50],[-20,-6],[40,-6],[40,-50],[-10,-50]]]}'"

title="A geometry in GeoJSON format"

 Try with the single quote for:

"type"

"Polygon"

"coordinates"

 or escape them

#3 - Nov 20, 2018 07:38 PM - Emmanuel Blondel

May 01, 2025 1/2



With single quote, i could save/publish the algorithm (although i'm not guaranteed that the business logic is working with that single quote, as it is not

a valid geojson anymore. I made some trys with escaping double quote (what I should provide here normally) but there were unsuccessfull.

With single quote, I received the success message for the algorithm publication:

``

The installation of the algorithm is completed successfully.

You can retrieve experiment results under the '/DataMiner' e-Infrastructure Workspace folder or from the DataMiner interface.

Algorithm details:

User: Emmanuel Blondel

Algorithm name: GEOGRSF_BBOXUNION

Staging DataMiner Host: dataminer-proto-ghost.d4science.org

Caller VRE: /d4science.research-infrastructures.eu/FARM/GRSF_Admin

Target VRE: /d4science.research-infrastructures.eu/FARM/GRSF_Admin

``

But I don't see the algorithm, neither on GRSF_Admin, nor on RPrototypingLab, although the message says the algorithm has been published. I've

tried to logout/login from the e-infra, but still the same, the algo is not available. Any idea?

Thanks

#4 - Nov 20, 2018 07:46 PM - Emmanuel Blondel

For escaping double quotes, SAI doesn't allow it: Error Default: Attention character " is not allowed, although my string input (string representation of

geojson) is correctly escaped. Sounds that SAI doesn't support escaped strings

#5 - Nov 21, 2018 11:52 AM - Giancarlo Panichi

- Due date set to Nov 21, 2018

Hi @emmanuel.blondel1@gmail.com , the problem has been solved, now your algorithm is published correctly:

https://services.d4science.org/group/grsf_admin/data-miner?OperatorId=org.gcube.dataanalysis.wps.statisticalmanager.synchserver.mappedcla

sses.transducerers.GEOGRSF_BBOXUNION

#6 - Nov 21, 2018 02:48 PM - Emmanuel Blondel

OK, can you please explain what was the problem? because so far I never been able to publish an algorithm alone, each time the process is not

available. Is it the publication in the target VRE still needs to be done manually on your side?

#7 - Nov 21, 2018 02:52 PM - Emmanuel Blondel

- Related to Incident #12925: geojsonio R package is not installed on all R instances added

#8 - Nov 21, 2018 03:01 PM - Giancarlo Panichi

- Status changed from Feedback to Closed

There was simply a configuration problem due most likely to the last update of the infrastructure.

However, in your specific case the problem is that in general you should use a file when the parameters you are dealing with are structured similar to

json or xml.

Now you can safely publish the algorithms using GRSF Admin VRE.

So now it works, I close the ticket.
